package sample.org.itscool.msgbord;

import java.util.List;

import org.itscool.weber.action.Action;
import org.itscool.weber.action.ActionBucket;

/**
 * メッセージ一覧表示アクションです
 */
public class DisplayMessagesAction extends Action{
	/**
	 * メッセージの一覧をテーブルから取得します
	 * @param bucket ActionBucketインスタンス
	 * @return 正常に処理が完了した場合は、"success"を返します
	 */
	public String doExecute(ActionBucket bucket){
		MessageDao dao = new MessageDao();
		List messages = (List)dao.getAllData();
		bucket.setAttribute("messages", messages);
		return "success";
	}
}
